
#ifndef _ENGINE
#define _ENGINE

#include "fifoStack.h"
#include "customSocket.h"
#include "gui.h"
#include "player.h"
#include "netGame.h"
#include "ai.h"

class Engine
{
protected:
	Gui gui;
	PlayerArray pa;
	bool inGame;

	enum playerType
	{
		HUMAN = 0,
		ARTIFICIAL,
	};
	playerType type;

	int quitterId;
	bool quit;

public:
	Engine();
protected:
	void executeOrder(Order* myOrder);
	void runPhysics();
	void runLogic();
};

#endif
