
#ifndef _FIFOSTACK
#define _FIFOSTACK

#include "order.h"

class StackNode
{
public:
	Order* info;
	StackNode* next;

	StackNode(Order* myOrder);
};

class FifoStack
{

public:
	StackNode* first;
	StackNode* last;
	StackNode* forSearch;

public:
	FifoStack();
	void Initialize();
	bool isEmpty();
	void Push(Order* myOrder);
	Order* Pop();
	void startSearch();
	bool finishedSearch();
	Order* Search();
};

#endif
