
#ifndef _CONFIG
#define _CONFIG

//! NetPlay Defines
#define JOIN_DELAY 12

#define DELAY 8
#define TURN_TIME 40
#define CYCLE_SIZE 256

//! GamePlay Defines
#define ATTRICT 0.4

#define ACCELERATION 1.0

#define MAX_SPEED 18
#define MAX_CATCHER_SPEED 22

#define MAX_PLAYERS 8

#define PLAYER_RADIUS 10

//! Gui Defines
#define XSCREEN 800
#define YSCREEN 600

#define XPLAY_AREA 640
#define YPLAY_AREA 480

#define XBUFFER 1600
#define YBUFFER 1200

//! Misc Defines
#define DEFAULT_PORT 6112

#define MAX_NAME 15
#define MAX_IP 30

#endif
