
#ifndef _ENGINECLIENT
#define _ENGINECLIENT

#include "ai.h"
#include "fifoStack.h"
#include "customSocket.h"
#include "gui.h"
#include "player.h"
#include "netGame.h"
#include "engine.h"

void RunClient(void* myEngineClient);

class EngineClient : public Engine
{
private:
	enum syncStage
	{
		RECEIVE_INFO = 0,
		RECEIVE_ORDERS,
	};

	syncStage stage;
	NetGameClient ngc;
	short syncFactor;
	bool syncing;

	bool syncedUp();
	void syncTurn();

public:
	EngineClient(bool human);
	bool Connect(int port, char* host);
	void oneTurn();
	void Run();
};

#endif
