
#ifndef _ENGINESERVER
#define _ENGINESERVER

#include "fifoStack.h"
#include "customSocket.h"
#include "gui.h"
#include "player.h"
#include "netGame.h"
#include "engine.h"

void RunServer(void* myEngineServer);

class EngineServer : public Engine
{
private:
	NetGameServer ngs;

public:
	EngineServer(int port, char* name, bool human);
	void oneTurn();
	void Run();
private:
	void receiveNewPlayers();
};

#endif
