
#ifndef _MENU
#define _MENU

#include "config.h"
#include "fifoStack.h"
#include "player.h"
#include "point.h"

#include <allegro.h>

#define OPTIONS_NUM 5

#define CREATE_OPTION 0
#define JOIN_OPTION 1
#define IP_OPTION 2
#define NAME_OPTION 3
#define EXIT_OPTION 4

struct option
{
	Vector position;
	char name[30];
};

class Menu
{
private:
	struct option options[OPTIONS_NUM];
	short selection;

	BITMAP* buffer;
	int a;

	enum choiceType
	{
		CREATE = 0,
		JOIN,
		EXIT
	};

	choiceType choice;

public:
	char ip[MAX_IP];
	char playerName[MAX_NAME];

private:
	int getColor(int i);
	void incSelection();
	void decSelection();
	void DrawOptions();
	void Draw();
	void enterText(char* data, int maxSize);

public:
	Menu();
	bool isClient();
	bool isServer();
	void Run();
};

#endif
