
#ifndef _ORDER
#define _ORDER

#include <stdlib.h>

class Order
{
public:
	enum orderType
	{
		MOVE_FOWARD = 0,
		MOVE_BACKWARD,
		MOVE_LEFT,
		MOVE_RIGHT,
		PLAYER_JOINED,
		PLAYER_KICKED,
		NULL_ORDER,
		END_OF_BLOCK,
		QUIT
	};
	
	orderType type;
	short playerId;
	short turn;

	Order();
	Order(orderType myType, short myId, short myTurn);
	void toString();
};

#endif
