
#ifndef _POINT
#define _POINT

#define Point Vector

class Vector {

private:
	float x;
	float y;

public:
	// Constructors
	Vector ();
	Vector (float x0, float y0);

	// Read properties
	float getX ();
	float getY ();
	int getXInt ();
	int getYInt ();

	// Write properties
	void setX (float x);
	void setY (float y);
	void setVector (float x, float y);
	void setVector (Vector* v);
	
	// Other
	void addVector (Vector* v);
	void subVector (Vector* v);
	void mulVector (Vector* v);
	// Anti-Clockwise Rotation
	void vectorRotation (float angle);
	// Calculate the angle between our Point and another Point (Related to the X axis)
	float calculateAngle (Point* p);
	// Square of the distance between our Point and another Point
	float sqrDistance (Point* p);

	Vector operator - (Vector &v);
};

#endif

